
From: Nishanth Aravamudan <nacc@us.ibm.com>

Jiffies are incorrectly being passed into msleep_interruptible(), which
expects milliseconds.  Also, the state does not need to be set before
calling msleep_interruptible(), as it will take care of it.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/softlockup.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN kernel/softlockup.c~kernel-softlockup-fix-usage-of-msleep_interruptible kernel/softlockup.c
--- 25/kernel/softlockup.c~kernel-softlockup-fix-usage-of-msleep_interruptible	2005-04-07 03:00:13.000000000 -0700
+++ 25-akpm/kernel/softlockup.c	2005-04-07 03:00:13.000000000 -0700
@@ -69,8 +69,7 @@ static int watchdog(void * __bind_cpu)
 	 * in softlockup_tick():
 	 */
 	while (!kthread_should_stop()) {
-		set_current_state(TASK_INTERRUPTIBLE);
-		msleep_interruptible(HZ);
+		msleep_interruptible(1000);
 		touch_softlockup_watchdog();
 	}
 	__set_current_state(TASK_RUNNING);
_
